@import "colors";
@import url('https://fonts.googleapis.com/css?family=Roboto:400,700&subset=cyrillic');

* {
  font-family: 'Roboto', sans-serif;
  outline: none;
}

body {
  margin: 0;

  #materialPreloader       { z-index: 1000; }
  #init-orgset_patronymics { display: none; }

  .user-select--none {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
  }

  .notie-alert {
    z-index: 1000;
  }

  .fc-modal {
    position: fixed;
    min-width: 100%;
    min-height: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    z-index: 900;

    .mdl-card {
      width: auto;
      min-width: 400px;

    }

  }

  .fc-modal:not(.mdl-card) {
    background: rgba(0,0,0,0.6)
  }

  .mdl-layout__drawer {

    .mdl-layout-title, .mdl-navigation__link {
      text-transform: capitalize;
    }

  }

  .mdl-layout__drawer-button {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .dataTables_wrapper {

    .dataTables_filter {

      label {

        @media (max-width: 489px) {
          display: flex;
          justify-content: flex-start;
          align-items: center;
        }

        input { border: none; }

        span {

          @media (max-width: 489px) {
            position: absolute;
            margin-top: 10px;
            margin-left: 57px;
          }

        }

        span:after {
          content: ' ';
          display: block;
          height: 2px;
          width: 0;
          margin-top: 2px;
          margin-right: 159px;
          margin-left: auto;
          transition: width 300ms ease-in-out, margin-right 300ms ease-in-out;
          background: $MainColor;
        }

        input:hover + span:after {
          width: 159px;
          margin-right: 0;
        }

        input:focus + span:after {
          width: 159px;
          margin-right: 0;
        }

      }

      @media (max-width: 479px) { max-width: 207px; }

    }

  }

  .mdl-card {
    width: 100%;
    min-height: 125px;

    .mdl-card__title {

      .mdl-card__title-photo--round { border-radius: 100px; }

    }

    .mdl-card__title--photo {
      display: flex;
      justify-content: center;
      align-items: center;
    }

    .mdl-card__body {
      padding: 16px;
      display: flex;
      flex-direction: column;
      justify-content: flex-start;
      align-items: stretch;

      .mdl-card__body-row {
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        align-items: center;
        padding: 5px 0;

        .mdl-card__body-row-icon {
          margin-right: 10px;
        }

        .mdl-card__body-row-text--editing { margin-top: 4px; }

        .mdl-card__body-row-text--editing:after {
          content: ' ';
          display: block;
          margin-top: 2px;
          height: 2px;
          width: 100%;
          background: $MainColor;
        }

        .mdl-card__body-row-text--bold       { font-weight: 700 }
        .mdl-card__body-row-text--italic     { font-style: inherit }
        .mdl-card__body-row-text--capitalize { text-transform: capitalize }
        .mdl-card__body-row-text--uppercase  { text-transform: uppercase }

        .mdl-card__body-row-switch {

          .mdl-switch__track { margin-top: 1px; }
          .mdl-switch__thumb { margin-top: 1px; }
          .mdl-switch__ripple-container { margin-top: 1px }

        }

        .mdl-card__body-row-switch--16px {

          .mdl-switch__label {
            font-size: 16px;
          }

        }

        .mdl-card__body-row-switch--24px {

          .mdl-switch__label {
            font-size: 24px;
          }

        }

        .mdl-card__body-row-switch--32px {

          .mdl-switch__label {
            font-size: 32px;
          }

        }

        .mdl-card__body-row-actions {
          margin-left: auto;
          margin-right: 0;
          display: flex;
          justify-content: flex-end;
          align-items: center;

          button[display=block]:not(:last-child) { margin-right: 5px; }

          .mdl-card__body-row-button--off     { display: none }
          .mdl-card__body-row-button--accept  { color: $SuccessColor; }
          .mdl-card__body-row-button--decline { color: $ErrorColor; }

        }

      }

      .mdl-card__body-row--16px  { font-size: 16px }
      .mdl-card__body-row--24px  { font-size: 24px }
      .mdl-card__body-row--32px  { font-size: 32px }
      .mdl-card__body-row--nopad { padding: 0 }

      .mdl-card__body-row--table {
        margin: 5px 0;
        justify-content: space-between;
        border-bottom: 1px solid rgba(0, 0, 0, .1);
      }

      .mdl-card__body-table     {
        width: 100%;

        .mdl-card__body-table-row__field--editing { margin-top: 4px; }

        .mdl-card__body-table-row__field--editing:after {
          content: ' ';
          display: block;
          height: 2px;
          width: 0;
          margin-top: 2px;
          transition: width 300ms ease-in-out;
          background: $MainColor;
        }

        .mdl-card__body-table-row__field--editing:focus:after { width: 100%; }
        .mdl-card__body-table-row__field--capitalize { text-transform: capitalize }

        .mdl-card__body-table-row__dropdown {

          ul {
            z-index: 20;
            margin: 0;
            padding: 0;
            max-height: 0;
            position: absolute;
            top: 0;
            right: 70px;
            background: #FFF;
            font-weight: 400;
            text-align: center;
            list-style-type: none;
            box-shadow: 0 2px 2px 0 rgba(0,0,0,0.14), 0 1px 5px 0 rgba(0,0,0,0.12), 0 3px 1px -2px rgba(0,0,0,0.2);
            overflow-y: auto;
            overflow-x: hidden;
            -ms-overflow-style: none;
            transition: max-height 300ms ease-in-out;

            li {
              display: block;
              font-size: 14px;
              text-align: left;
              height: 52px;

              span {
                display: block;
                padding: 14px 16px;
                color: $MainColor;
                cursor: pointer;
              }

            }

            li:hover { background: $HoverColor; }

          }

          ul::-webkit-scrollbar {
            display: none;
          }

        }

        .mdl-card__body-table-row__dropdown--editing {

          .mdl-card__body-table-row__dropdown-ttl ~ ul { max-height: 120px; }

        }

        .mdl-card__body-table-row__switch-dropdown {

          ul {
            z-index: 20;
            margin: 0;
            padding: 0;
            max-height: 0;
            position: absolute;
            top: 0;
            background: #FFF;
            font-weight: 400;
            text-align: center;
            list-style-type: none;
            box-shadow: 0 2px 2px 0 rgba(0,0,0,0.14), 0 1px 5px 0 rgba(0,0,0,0.12), 0 3px 1px -2px rgba(0,0,0,0.2);
            overflow-y: auto;
            overflow-x: hidden;
            -ms-overflow-style: none;
            transition: max-height 300ms ease-in-out;

            li {
              display: block;
              font-size: 14px;
              text-align: left;
              height: 52px;

              div {
                display: block;
                padding: 14px 16px;
                color: $MainColor;
              }

              .mdl-card__body-table-row__switch-dropdown-button {
                font-size: 16px;
                text-align: center;
                cursor: pointer;
              }

              .mdl-card__body-table-row__switch-dropdown-button:hover { background: $HoverColor; }

            }

            li:hover { background: $HoverColor; }

          }

          ul::-webkit-scrollbar {
            display: none;
          }

        }

        .mdl-card__body-table-row__switch-dropdown--editing {

          .mdl-card__body-table-row__switch-dropdown-ttl ~ ul { max-height: 120px; }

        }

        .mdl-card__body-table-row_actions {

          .mdl-card__body-table-row_actions--create  { color: $SuccessColor; }
          .mdl-card__body-table-row_actions--decline { color: $ErrorColor; }
          .mdl-card__body-table-row_actions--delete  { color: $ErrorColor; }

        }

      }

      .dt-table {

        .mdl-cell {
          -ms-overflow-style: none;
          padding-bottom: 65px;
          overflow-x: scroll;
        }

        .mdl-cell::-webkit-scrollbar {
          display: none;
        }

      }

      .dt-table ~ .mdl-grid {
        margin-top: -50px;
      }

    }

    .mdl-card__body--nopad   { padding: 0; }

  }

  .emotional_mark--very_dissatisfied { color: $ErrorColor;   }
  .emotional_mark--dissatisfied      { color: #f5656f;     }
  .emotional_mark--neutral           { color: $WarnColor;    }
  .emotional_mark--satisfied         { color: #6bd36b;     }
  .emotional_mark--very_satisfied    { color: $SuccessColor; }

}